%define build_libproxy 1
%define libproxy_obsolete_ver 0.5

Name:		pacrunner
Version:	0.2
Release:	1%{?dist}
Summary:	Proxy configuration dæmon

Group:		System Environment/Base
License:	GPLv2
URL:		http://connman.net/
Source0:	http://www.kernel.org/pub/linux/network/connman/pacrunner-%{version}.tar.bz2
Source1:	libproxy.py
# Fix it to build against xulrunner 2.0
Patch1:		0001-mozjs-Stop-using-obsolete-JS_NewString.patch
Patch2:		0002-mozjs-Stop-using-obsolete-JS_GetStringBytes.patch
Patch3:		0003-mozjs-Use-JS_NewCompartmentAndGlobalObject-with-newe.patch
# Match original libproxy soname, to replace it
Patch4:		0004-Update-libproxy-soname.patch
BuildRequires:	python pkgconfig(mozilla-js)
BuildRequires:	pkgconfig(glib-2.0) pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gthread-2.0) pkgconfig(libcurl)

%description
PacRunner provides a dæmon for processing proxy configuration
and providing information to clients over D-Bus.

%package libproxy-devel
Summary:	Development files for PacRunner's libproxy replacement
Group:		Development/Libraries
License:	LGPLv2
Requires:	%{name}-libproxy = %{version}-%{release}
Obsoletes:	libproxy-devel < %{?libproxy_obsolete_ver}
Provides:	libproxy-devel = %{?libproxy_obsolete_ver}
%description libproxy-devel
This provides the development files for building against
pacrunner's implementation of libproxy.

%package libproxy
Summary:	Simple libproxy replacement for proxy configuration
Group:		System Environment/Libraries
License:	LGPLv2
Requires:	pacrunner
Obsoletes:	libproxy-python < %{?libproxy_obsolete_ver}
Provides:	libproxy-python = %{?libproxy_obsolete_ver}
Obsoletes:	libproxy < %{?libproxy_obsolete_ver}
Provides:	libproxy = %{?libproxy_obsolete_ver}
Obsoletes:	libproxy-bin < %{?libproxy_obsolete_ver}
Provides:	libproxy-bin = %{?libproxy_obsolete_ver}

%description libproxy
A library to handle proxy configuration. This package provides a simple
alternative to the original libproxy, cut down to simply query the PacRunner
dæmon for information.

%prep
%setup -q
# Fix it to build against xulrunner 2.0
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Match original libproxy soname, to replace it
%patch4 -p1

%build
automake
%configure --enable-curl --disable-capng --enable-datafiles \
%if 0%{?build_libproxy}
	   --enable-libproxy \
%endif
	   --enable-mozjs --enable-test --enable-threads
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT testdir=%{_datadir}/pacrunner
mv $RPM_BUILD_ROOT/%{_datadir}/dbus-1/system-services/{,org.}pacrunner.service

%if 0%{?build_libproxy}
mkdir -p ${RPM_BUILD_ROOT}/%{python_sitelib}
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{python_sitelib}/libproxy.py
rm -f $RPM_BUILD_ROOT/%{_libdir}/libproxy.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post libproxy -p /sbin/ldconfig

%postun libproxy -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README COPYING.LIB AUTHORS ChangeLog
%{_sbindir}/pacrunner
%{_datadir}/dbus-1/system-services/org.pacrunner.service
%{_datadir}/pacrunner/
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/pacrunner.conf

%if 0%{?build_libproxy}
%files libproxy-devel
%defattr(-,root,root,-)
%{_libdir}/libproxy.so
/usr/include/proxy.h
%{_libdir}/pkgconfig/libproxy-1.0.pc

%files libproxy
%defattr(-,root,root,-)
%{_libdir}/libproxy.so.1.0.0
%{_libdir}/libproxy.so.1
%{_bindir}/proxy
%{python_sitelib}/libproxy.py*
%endif

%changelog
* Mon May  2 2011 David Woodhouse <dwmw2@infradead.org> - 0.2-1
- Initial package
